#include <array.au3>
#include "XMLWrapperEx.au3"

_Example_1__XML_Array_GetNodeList()

Func _Example_1__XML_Array_GetNodeList()
	_XML_MiscProperty_NotifyAll(True)
	_XML_MiscProperty_NotifyToMsgBox(False)

	Global $oErrorHandler = ObjEvent("AutoIt.Error", "_ErrFunc_CustomUserHandler")

	; Add user ComError handler ; it will be used toogether with internal ComError handler
	_XML_ComErrorHandler_UserFunction(_ErrFunc_CustomUserHandler)

	$sXmlFile = @ScriptDir & "\XML_Example_XML_Files\MSDN\books.xml"
	$oXml = _XML_Load($sXmlFile)
	_XML_ErrorParser($oXml)
	MsgBox(0, '_Example_1__XML_Array_GetNodeList', _XML_TIDY($oXml))

	Local $oNodesColl = _XML_SelectNodes($oXml, "//price")
	Local $aNodesColl = _XML_Array_GetNodeList($oNodesColl)
	_ArrayDisplay($aNodesColl, '_Example_1__XML_Array_GetNodeList : ' & _XML_GetNodeCount($oXml, "//price"))

EndFunc   ;==>_Example_1__XML_Array_GetNodeList


Func _ErrFunc_CustomUserHandler($oError)
	ConsoleWrite(@ScriptName & " (" & $oError.scriptline & ") : ==> COM Error intercepted !" & @CRLF & _
			@TAB & "err.number is: " & @TAB & @TAB & "0x" & Hex($oError.number) & @CRLF & _
			@TAB & "err.windescription:" & @TAB & $oError.windescription & @CRLF & _
			@TAB & "err.description is: " & @TAB & $oError.description & @CRLF & _
			@TAB & "err.source is: " & @TAB & @TAB & $oError.source & @CRLF & _
			@TAB & "err.helpfile is: " & @TAB & $oError.helpfile & @CRLF & _
			@TAB & "err.helpcontext is: " & @TAB & $oError.helpcontext & @CRLF & _
			@TAB & "err.lastdllerror is: " & @TAB & $oError.lastdllerror & @CRLF & _
			@TAB & "err.scriptline is: " & @TAB & $oError.scriptline & @CRLF & _
			@TAB & "err.retcode is: " & @TAB & "0x" & Hex($oError.retcode) & @CRLF & @CRLF)
EndFunc   ;==>_ErrFunc_CustomUserHandler
